jphase.values

## Class FitResult

- java.lang.Object
- - jphase.values.FitResult

-     public class FitResult
      extends java.lang.Object

  Class that stores the result of a goodness of fit test procedure
  Author:
    Andres Sarmiento Romero

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FitResult(double sqrError, double chi2, double ks, int groups, java.lang.String nombre, IDistribution distribucion, double[] data, double p)`
    `FitResult(double sqrError, double chi2, int groups, PhaseVarInfo var, double[] data, double p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getChi2()`
    `double[]` | `getData()`
    `IDistribution` | `getDistribucion()`
    `int` | `getGroups()`
    `double` | `getKs()`
    `java.lang.String` | `getNombre()`
    `double` | `getP()`
    `double` | `getSqrError()`
    `PhaseVarInfo` | `getVar()`
    `void` | `setChi2(double chi2)`
    `void` | `setData(double[] data)`
    `void` | `setDistribucion(IDistribution distribucion)`
    `void` | `setGroups(int groups)`
    `void` | `setKs(double ks)`
    `void` | `setNombre(java.lang.String nombre)`
    `void` | `setP(double p)`
    `void` | `setSqrError(double sqrError)`
    `void` | `setVar(PhaseVarInfo var)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FitResult

          public FitResult(double sqrError,
                   double chi2,
                   double ks,
                   int groups,
                   java.lang.String nombre,
                   IDistribution distribucion,
                   double[] data,
                   double p)

      Parameters:
        `sqrError` -
        `p` - p-value
        `groups` -

    - #### FitResult

          public FitResult(double sqrError,
                   double chi2,
                   int groups,
                   PhaseVarInfo var,
                   double[] data,
                   double p)

      Parameters:
        `sqrError` -
        `groups` -
        `p` -

  - ### Method Detail

    - #### getSqrError

          public double getSqrError()

      Returns:
        the sqrError

    - #### setSqrError

          public void setSqrError(double sqrError)

      Parameters:
        `sqrError` - the sqrError to set

    - #### getChi2

          public double getChi2()

      Returns:
        the pValue

    - #### setChi2

          public void setChi2(double chi2)

    - #### getKs

          public double getKs()

      Returns:
        the ks

    - #### setKs

          public void setKs(double ks)

      Parameters:
        `ks` - the ks to set

    - #### getGroups

          public int getGroups()

      Returns:
        the groups

    - #### setGroups

          public void setGroups(int groups)

      Parameters:
        `groups` - the groups to set

    - #### getNombre

          public java.lang.String getNombre()

      Returns:
        the name

    - #### setNombre

          public void setNombre(java.lang.String nombre)

      Parameters:
        `nombre` - the name to set

    - #### getDistribucion

          public IDistribution getDistribucion()

      Returns:
        the distribution

    - #### setDistribucion

          public void setDistribucion(IDistribution distribucion)

      Parameters:
        `distribucion` - the distribution to set

    - #### getVar

          public PhaseVarInfo getVar()

      Returns:
        the var

    - #### setVar

          public void setVar(PhaseVarInfo var)

      Parameters:
        `var` - the var to set

    - #### getData

          public double[] getData()

      Returns:
        the data

    - #### setData

          public void setData(double[] data)

      Parameters:
        `data` - the data to set

    - #### getP

          public double getP()

      Returns:
        the p

    - #### setP

          public void setP(double p)

      Parameters:
        `p` - the p to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`